#pragma once

typedef unsigned int index;
typedef unsigned int length;

typedef struct merge_args{
	int* array;
	index start;
	index final;
} margs_t;


void merge(int array[], index start, index middle, index final);
/* void merge_sort(int array [], index start , index final ); */
void* merge_sort(void*);
